<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>{{ textoGestionGrupo }}</strong>
    </div>
    <!--Contenido-->
    <div class="pl-10 pr-10 contSecc">
      <div class="titSec">
        {{ textoGestionGrupo }}
      </div>
      <v-card>
        <div class="ml-5">
          <v-list>
            <v-list-item>
              <v-list-item-avatar>
                <v-icon color="grey lighten-1" x-large
                  >mdi-account-group-outline</v-icon
                >
              </v-list-item-avatar>
              <v-list-item-content>
                <v-list-item-title>{{ grupo.descripcion }}</v-list-item-title>
              </v-list-item-content>
            </v-list-item>
          </v-list>
        </div>
        <v-tabs v-model="tab" align-with-title>
          <v-tabs-slider color="yellow"></v-tabs-slider>
          <v-tab>
            Datos del grupo
          </v-tab>
          <v-tab>
            Usuarios
          </v-tab>
          <v-tab>
            Documentos
          </v-tab>
        </v-tabs>
        <v-tabs-items v-model="tab">
          <v-tab-item>
            <DatosGrupo :grupoIn="grupo" @cangeGroup="cangeGroup" />
          </v-tab-item>
          <v-tab-item>
            <Usuarios :grupoIn="grupo" />
          </v-tab-item>
          <v-tab-item>
            <Documentos :grupoIn="grupo" />
          </v-tab-item>
        </v-tabs-items>
      </v-card>
    </div>
  </div>
</template>
<script>
import store from "@/store";
import DatosGrupo from "@/views/secure/modelo-negocio/accesos/grupos/components/DatosGrupo.vue";
import Usuarios from "@/views/secure/modelo-negocio/accesos/grupos/components/Usuarios.vue";
import Documentos from "@/views/secure/modelo-negocio/accesos/grupos/components/Documentos.vue";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "Component-GestionAccesosGrupo",
  components: {
    DatosGrupo,
    Usuarios,
    Documentos,
  },
  data() {
    return {
      tab: null,
      textoGestionGrupo: null,
      grupo: null,
    };
  },
  computed: {
    breadcrumbs() {
      return [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Modelo de Negocio",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_negocio",
          },
        },
        {
          text: "Accesos",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_negocio_accesos",
          },
        },
        {
          text: "Grupos",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_negocio_accesos_grupos",
          },
        },
        {
          text: this.grupo.descripcion,
          disabled: true,
        },
        {
          text: "Edición",
          disabled: true,
        },
      ];
    },
    serviceCommons() {
      return serviceCommons;
    },
  },
  methods: {
    cangeGroup(data) {
      this.grupo = data;
      this.$router.replace({
        params: {
          grupo: this.serviceCommons.objectToBase64(this.grupo),
        },
      });
    },
    initValues() {
      if (this.grupo.idGrupo) {
        this.textoGestionGrupo = "Editar Grupo";
      }
    },
  },
  created() {
    if (this.$route.params.grupo) {
      this.grupo = this.serviceCommons.base64ToObject(this.$route.params.grupo);
    }
    if (this.$route.query.documentos) {
      this.tab = 2;
      this.$router.replace({ query: {} });
    }
    if (this.$route.query.usuarios) {
      this.tab = 1;
      this.$router.replace({ query: {} });
    }
    this.initValues();
  },
};
</script>
